Page MenuHomePhabricator

Mobile login not compatible with OpenID
Open, LowPublic

Description

OpenID adds a link to the header for logging in with OpenID. MobileFrontend does not support this.

Maybe it's possible to add support for this in OpenID, rather than MobileFrontend.


Version: unspecified
Severity: enhancement

Details

Reference
bz52059
Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterUse core login form

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:49 AM
bzimport set Reference to bz52059.
bzimport added a subscriber: Unknown Object (MLST).
RyanLane created this task.Jul 25 2013, 9:27 PM

Andre / Quim - although a little hard this might be a fun task for Google Code in 2013? Thoughts?

Qgil added a comment.Dec 24 2013, 7:51 PM

The basic measurement is still: would a task like this take 2-3 hours of work from an experienced contributor like you?

There should be also a plan declared to fix this problem, for instance whether the fix should be in OpenID or MobileFrontend.

The header elements are given in data array as 'header', so the easiest way is, to create a new div, ahead of username and password and add the content of header. I think, for consistency, this is still wanted? :)

Example with Googlelogin and Facebookloginbutton in attachement :)

Created attachment 15712
Example with google and facebookloginbutton

Attached:

Ah, sorry, now i see the problem :) Not a header in logging in page, the link after "Login" in personal tools. Isn't this more a duplicate of:
https://bugzilla.wikimedia.org/show_bug.cgi?id=63459
? Because mobile frontend uses no personal tool urls in this way like desktop.

Change 142874 had a related patch set uploaded by Florianschmidtwelzow:
Allow extensions to add Content as header on mobile login page

https://gerrit.wikimedia.org/r/142874

Added this bug as reference, because the ps comes as an "idea" from here :)

Change 142874 abandoned by Florianschmidtwelzow:
Allow extensions to add Content as header on mobile login page

Reason:
better would be working on moving away from "own" login page (which would have this "feature" already).

https://gerrit.wikimedia.org/r/142874

This should be working in alpha now. If it's not we will need to tweak the MediaWiki-extensions-OpenID; extension. Is anyone able to test this? I'm happy to help.

Change 231146 had a related patch set uploaded (by Jdlrobson):
Use core login form

https://gerrit.wikimedia.org/r/231146

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 10:43 PM
kaldari removed a subscriber: kaldari.Aug 12 2015, 11:28 PM

^ this change will not solve the task, iirc? The OpenID extension adds a new link to the personal tools, right? The personal tools will not show with this change. Maybe someone, who is more familar with the extension, can clarify if this change will help? :)

MaxSem removed a subscriber: MaxSem.Aug 18 2015, 5:11 PM

I'm not sure, if the merged change will solve this task, but it would open the way for OpenID (and probably other extensions) to add links/fields to the login page instaed (or in addition) to personal tools.

Change 231146 merged by jenkins-bot:
Use core login form

https://gerrit.wikimedia.org/r/231146